Bug 41707 - HTTP Proxy XML-RPC support
HTTP Proxy XML-RPC support
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.2
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-02-26 09:38 UTC by Jesper Thorhauge
Modified: 2007-03-03 04:56 UTC (History)
0 users



Attachments
HTTPSamplerBase supporting xml-rpc recording. (6.16 KB, patch)
2007-02-26 09:39 UTC, Jesper Thorhauge
Details | Diff
XmlRpcErrorHandler used for xsd schema checking of xml-rpc call (989 bytes, patch)
2007-02-26 09:40 UTC, Jesper Thorhauge
Details | Diff
XML-RPC xsd schema (un-official) (4.68 KB, patch)
2007-02-26 09:40 UTC, Jesper Thorhauge
Details | Diff
HTTPSamplerBase supporting xml-rpc recording, cleaned up (6.15 KB, patch)
2007-02-27 08:32 UTC, Jesper Thorhauge
Details | Diff
XmlRpcErrorHandler used for xsd schema checking of xml-rpc call (1.36 KB, text/x-java)
2007-02-27 08:34 UTC, Jesper Thorhauge
Details
XML-RPC xsd schema (un-official) (4.35 KB, application/octet-stream)
2007-02-27 08:35 UTC, Jesper Thorhauge
Details
HTTPSamplerBase supporting xml-rpc and other not-"name=value" postdata. (817 bytes, patch)
2007-03-02 07:40 UTC, Jesper Thorhauge
Details | Diff
As commented by sebb, the fix should go into HttpRequestHdr.java instead of httpsamplerbase (930 bytes, patch)
2007-03-02 07:41 UTC, Jesper Thorhauge
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Thorhauge 2007-02-26 09:38:26 UTC
JMeters http proxy does not record xml-rpc calls correctly. An xml-rpc call is
not  posted in the usual name=value structure, but simply as one big chunk of
xml. I have made a patch which first of all check if the postdata is xml, by
using some very simple string comparison on the query string. If the postdata
seems to be xml, it is parsed as xml and checked against an un-official xml-rpc
xsd schema taken from ibiblio.org. If any error occurs or the xml-rpc cannot be
validated against the schema, the request is recorded the usual way.

This is my first patch for the jmeter project, so please bear with me.
Comment 1 Jesper Thorhauge 2007-02-26 09:39:26 UTC
Created attachment 19639 [details]
HTTPSamplerBase supporting xml-rpc recording.
Comment 2 Jesper Thorhauge 2007-02-26 09:40:14 UTC
Created attachment 19640 [details]
XmlRpcErrorHandler used for xsd schema checking of xml-rpc call
Comment 3 Jesper Thorhauge 2007-02-26 09:40:52 UTC
Created attachment 19641 [details]
XML-RPC xsd schema (un-official)
Comment 4 Jesper Thorhauge 2007-02-27 08:32:01 UTC
Created attachment 19645 [details]
HTTPSamplerBase supporting xml-rpc recording, cleaned up
Comment 5 Jesper Thorhauge 2007-02-27 08:34:45 UTC
Created attachment 19646 [details]
XmlRpcErrorHandler used for xsd schema checking of xml-rpc call
Comment 6 Jesper Thorhauge 2007-02-27 08:35:36 UTC
Created attachment 19647 [details]
XML-RPC xsd schema (un-official)
Comment 7 Jesper Thorhauge 2007-03-02 07:40:04 UTC
Created attachment 19656 [details]
HTTPSamplerBase supporting xml-rpc and other not-"name=value" postdata.

This version should not affect any other classes using the parseArguments
method, as last patch did.
Comment 8 Jesper Thorhauge 2007-03-02 07:41:03 UTC
Created attachment 19657 [details]
As commented by sebb, the fix should go into HttpRequestHdr.java instead of httpsamplerbase
Comment 9 Sebb 2007-03-03 04:56:35 UTC
Thanks!

Now fixed in SVN.

It will be in the next release and the next nightly build at:

http://people.apache.org/builds/jakarta-jmeter/nightly/